use crate::model::*;

pub enum ReplaceTextureStatus {
    // Call Again With Texture Binary
    NeedTextureData(Sha256),
    // Done.
    Ok,
}

pub type ProtocolResult<T> = Result<T, ProtocolError>;
pub enum ProtocolError {
    BadRequest(String),
    FileNotFound(String),
    Conflict(String),
    InternalServerError(std::io::Error),
    NotImplemented,
}
